#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "AkMediaAsset.generated.h"

class UAkMediaAssetData;

UCLASS(Blueprintable)
class AKAUDIO_API UAkMediaAsset : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TMap<FString, UAkMediaAssetData*> MediaAssetDataPerPlatform;

public:
	UAkMediaAsset();
};

FORCEINLINE uint32 GetTypeHash(const UAkMediaAsset) { return 0; }
